<div class="contenedor">
  <h2 class="tittle">Listado de Tarjetas</h2>
  <div class="tabla" *ngIf="listUsuarios.length>0">
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

      <!--- Note that these columns can be defined in any order.
            The actual rendered columns are set as a property on the row definition" -->
              
      <!-- Titular -->
      <ng-container matColumnDef="titular">
        <th mat-header-cell *matHeaderCellDef> </th>
        <td mat-cell *matCellDef="let element"> {{element.titular}} </td>
      </ng-container>
    
      <!-- Nro Tarjeta -->
      <ng-container matColumnDef="numeroTarjeta">
        <th mat-header-cell *matHeaderCellDef> </th>
        <td mat-cell *matCellDef="let element"> {{element.numeroTarjeta}} </td>
      </ng-container>
    
      <!-- Fecha expiracion -->
      <ng-container matColumnDef="fechaExpiracion">
        <th mat-header-cell *matHeaderCellDef> </th>
        <td mat-cell *matCellDef="let element"> {{element.fechaExpiracion}} </td>
      </ng-container>
    
      <!-- Acciones -->
      <ng-container matColumnDef="accion">
        <th mat-header-cell *matHeaderCellDef> </th>
        <td mat-cell *matCellDef="let element; let i = index"> 
          <a class="pointer" matTooltip="Editar Usuario">
            <mat-icon>edit</mat-icon>
          </a>
          <a (click)="eliminarUsuario(i)" class="pointer" matTooltip="Eliminar">
            <mat-icon>delete</mat-icon>
          </a>

        </td>
      </ng-container>
    
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
   
  </div>
  <h2 *ngIf="listUsuarios.length==0">No hay usuarios para mostrar</h2> 
</div>